<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * Dashboard. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * this starts the plugin.
 *
 * @link:       http://www.eventregistrationpro.com
 * @since             1.0.3
 * @package           Event_Registration_Pro_Calendar
 *
 * @wordpress-plugin
 * Plugin Name:       Event Registration Pro Calendar
 * Plugin URI:        http://www.eventregistrationpro.com
 * Description:        Event Registration Pro Calendar is for accepting free and paid registrations to your events.
 * Version:           1.0.3
 * Author:            EventRegistrationPro.com
 * License:            GPL-3.0+
 * License URI:        http://www.gnu.org/licenses/gpl-3.0.txt
 * Text Domain:            event-registration-pro
 * Domain Path:            /languages
 */

// If this file is called directly, abort.
	if ( ! defined( 'WPINC' ) ) {
		die;
	}

	 global $r_path,$plg_text_domain;
	 $plugin_path=plugin_dir_path( __FILE__ );
	 $r_path= $_SERVER['DOCUMENT_ROOT'];
	 $core_plugin = plugin_basename( __FILE__ );
	 update_option('event_core_plugin_name',$core_plugin);
	 
	 
	/**
	 * The code that runs during plugin activation.
	 */
	
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-event-registration-pro-activator.php';
	
	
	/**
	 * The code that runs during plugin deactivation.
	 */
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-event-registration-pro-deactivator.php';
	
	/** This action is documented in includes/class-event-registration-pro-activator.php */
	register_activation_hook( __FILE__, array( 'Event_Registration_Pro_Activator', 'activate' ) );
	
	/** This action is documented in includes/class-event-registration-pro-deactivator.php */
	register_deactivation_hook( __FILE__, array( 'Event_Registration_Pro_Deactivator', 'deactivate' ) );
	
	/**
	 * The core plugin class that is used to define internationalization,
	 * dashboard-specific hooks, and public-facing site hooks.
	 */
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-event-registration-pro.php';
	 require_once plugin_dir_path( __FILE__ ) . 'includes/main_function.php';
	
	/**
	 * Begins execution of the plugin.
	 *
	 * Since everything within the plugin is registered via hooks,
	 * then kicking off the plugin from this point in the file does
	 * not affect the page life cycle.
	 *
	 * @since    1.0.0
	 */

	function run_Event_Registration_Pro() {
	
	 
		$plugin = new Event_Registration_Pro();
		$plugin->run();
	
	}
	run_Event_Registration_Pro();


	add_action('init','ajax_fun_save');
	function ajax_fun_save(){
	
	$save_obj= new MainFuctionclass();
	$save_obj->MainSaveMethod();
	
	}	
	
	
	register_deactivation_hook( __FILE__, array( 'Event_Registration_Pro_Deactivator','deactivate_plugin') );
	//add_action('after_setup_theme', 'create_pages'); 
	
	
	//add_action('load-nav-menus.php', 'auto_nav_creation_primary');
	register_activation_hook(__FILE__,array( 'Event_Registration_Pro_Activator','auto_nav_creation_primary'));


	/**custom post design**/
	add_filter('single_template','get_post_template_for_template_loader');
	
	function get_post_template_for_template_loader($template) {
	  global $wp_query;
	  $post = $wp_query->get_queried_object();
	   
	  if ($post) {
		  			 
		if ($post->post_type=='erp_event')
		
		  $template = plugin_dir_path( __FILE__ ) . '/templates/post-page-template.php'; 
	  }
	  return $template;
	}


	/**custom post category design**/
	add_filter( 'template_include', 'template_include', 10 );
	
	function template_include($template)
	{
	   $cat = get_query_var('taxonomy');	
		
	   if('erp-event-category'==$cat){
			
			 $template = plugin_dir_path( __FILE__ ) . '/templates/category-page-template.php';
			
			}
	
		return $template;
	}

/*cron job*/

	add_action('init', 'cron');
	
	function cron(){
		
	 global $post,$wpdb;
						
				$cat_metaq = get_option("erp_event_handling");
				$event_display_settings=array();
				 $event_display_settings = get_option("erp_event_display_settings"); 
				 $dateformat=$event_display_settings['erp_event_display_settings_formatdate']; 
				$args = array(
				'post_type' => 'erp_event',
				'posts_per_page'=> -1,
				'orderby' => 'ASC',	
												
					);
					 
				$crontest = new WP_Query( $args );
		   
			  $addeventdate=$cat_metaq['erp_event_handling_minus'][0];
			  if(empty($addeventdate)){$addeventdate=0;}
			  $cur_date=date('m/d/Y');
			  $cur_date_end =date('m/d/Y', strtotime($cur_date. ' + '.$addeventdate.' days'));
			
			
			 while( $crontest->have_posts() ) : $crontest->the_post();
			 
			
				  $testmeta =get_post_meta($post->ID);
				 
				   $cat_metaq['erp_event_handling_archiveby'];


				   $inc_event_start_date =date('Y-m-d', strtotime($testmeta['erp_event_date'][0]. ' + '.$addeventdate.' days'));

				   $inc_event_end_date =date('Y-m-d', strtotime( $testmeta['erp_event_enddate'][0]. '  + '.$addeventdate.' days'));



				  
				   if($cat_metaq['erp_event_handling_archiveby']== "Event start date"){
					   
					   if($cat_metaq['erp_event_handling_oldevent'] == "Archive old events"){
						  
						 
							if(strtotime($cur_date) > strtotime($inc_event_start_date)){
								
								if($post->post_status !='pending'){
										$wpdb->query($wpdb->prepare("UPDATE ".$wpdb->posts." SET post_status = %s where post_type = %s AND ID = %d",
										'archive', 'erp_event', $post->ID ) );
										do_action('change_duplicate_event',$post->ID);	
								}
							}
							
							if(strtotime($cur_date) < strtotime($inc_event_start_date) AND strtotime($cur_date) > strtotime($event_date)){
								
							$wpdb->query($wpdb->prepare("UPDATE ".$wpdb->posts." SET post_status = %s where post_type = %s AND ID = %d",
										'publish', 'erp_event', $post->ID ) );	
								
							}
					   }
						if($cat_metaq['erp_event_handling_oldevent'] == "Delete old events"){
						 
							if(strtotime($cur_date) > strtotime($inc_event_start_date)){
								
							$wpdb->query("delete FROM ".$wpdb->posts." where ID =".$post->ID);	
							do_action('change_duplicate_event',$post->ID);	  		
							}
							
							if(strtotime($cur_date) < strtotime($inc_event_start_date) AND strtotime($cur_date) > strtotime($event_date)){
								
							$wpdb->query($wpdb->prepare("UPDATE ".$wpdb->posts." SET post_status = %s where post_type = %s AND ID = %d",
										'publish', 'erp_event', $post->ID ) );	
								
							}
					   }
				   }
				   
				   if($cat_metaq['erp_event_handling_archiveby'] == "Event end date"){
					   
					
					   if($cat_metaq['erp_event_handling_oldevent'] == "Archive old events"){
						   
							if(strtotime($cur_date) > strtotime($inc_event_end_date)){
								
								if($post->post_status !='pending'){
										$wpdb->query($wpdb->prepare("UPDATE ".$wpdb->posts." SET post_status = %s where post_type = %s AND ID = %d",
										'archive', 'erp_event', $post->ID ) );
										do_action('change_duplicate_event',$post->ID);	
								}			  		
							} 
							
							if(strtotime($cur_date) < strtotime($inc_event_end_date) AND strtotime($cur_date) > strtotime($event_date)){
								
							$wpdb->query($wpdb->prepare("UPDATE ".$wpdb->posts." SET post_status = %s where post_type = %s AND ID = %d",
										'publish', 'erp_event', $post->ID ) );	
								
							}
					   }
						if($cat_metaq['erp_event_handling_oldevent'] == "Delete old events"){
						 
							if(strtotime($cur_date) > strtotime($inc_event_end_date)){
								
							$wpdb->query("delete FROM ".$wpdb->posts." where ID =".$post->ID);
							do_action('change_duplicate_event',$post->ID);		  		
							}
							
							if(strtotime($cur_date) < strtotime($inc_event_end_date) AND strtotime($cur_date) > strtotime($event_date)){
								
							$wpdb->query($wpdb->prepare("UPDATE ".$wpdb->posts." SET post_status = %s where post_type = %s AND ID = %d",
										'publish', 'erp_event', $post->ID ) );	
								
							}
					   }
				   }
			
				  
				  endwhile;
	}
	  
/*Close function*/  
/*Email template*/


 register_activation_hook(__FILE__, array( 'Event_Registration_Pro_Activator','insert_record_emails'));

/*cart page created and assign template*/

add_action('init', 'fn_ea_create_admin_page');

	function fn_ea_create_admin_page() 
	{  
	
		$pageName = 'Erp Cart';
				if( get_page_by_title( $pageName ) == NULL ){
					
					$createPage = array(
					  'post_title'    => $pageName,
					  'post_content'  => '',
					  'post_status'   => 'publish',
					  'post_author'   => 1,
					  'post_type'     => 'page',
					  'post_name'     => $pageName
					);
			
					// Insert the post into the database  
					$page_id =  wp_insert_post( $createPage );
					update_option( 'event_cart_page_id', $page_id );  
					//Assign Template
					update_post_meta($page_id,'_wp_page_template','erp_cart.php');
				}
			$pagecheck = 'Erp Checkout';
		
				if( get_page_by_title( $pagecheck ) == NULL ){
					
					$createPage1 = array(
					  'post_title'    => $pagecheck,
					  'post_content'  => '',
					  'post_status'   => 'publish',
					  'post_author'   => 1,
					  'post_type'     => 'page',
					  'post_name'     => $pagecheck
					);
			
					// Insert the post into the database  
					$page_id =  wp_insert_post( $createPage1 );
					update_option( 'event_checkout_page_id', $page_id );   
					//Assign Template
					update_post_meta($page_id,'_wp_page_template','erp_checkout.php');
				}
			$pagecheck = 'Thankyou';
		
				if( get_page_by_title( $pagecheck ) == NULL ){
					
					$createPage1 = array(
					  'post_title'    => $pagecheck,
					  'post_content'  => '',
					  'post_status'   => 'publish',
					  'post_author'   => 1,
					  'post_type'     => 'page',
					  'post_name'     => $pagecheck
					);
			
					// Insert the post into the database  
					$page_id =  wp_insert_post( $createPage1 );
					update_option( 'event_thankyou_page_id', $page_id );  
					//Assign Template
					update_post_meta($page_id,'_wp_page_template','erp_thankyou.php');
				}
			$pagecheck = 'Erp Print';
		
				if( get_page_by_title( $pagecheck ) == NULL ){
					
					$createPage1 = array(
					  'post_title'    => $pagecheck,
					  'post_content'  => '',
					  'post_status'   => 'publish',
					  'post_author'   => 1,
					  'post_type'     => 'page',
					  'post_name'     => $pagecheck
					);
			
					// Insert the post into the database  
					$page_id =  wp_insert_post( $createPage1 );
					update_option( 'event_print_page_id', $page_id );  
					//Assign Template
					update_post_meta($page_id,'_wp_page_template','erp_event_print.php');
				}		
			$pagecheck = 'Erp Rssfeed';
		
				if( get_page_by_title( $pagecheck ) == NULL ){
					
					$createPage1 = array(
					  'post_title'    => $pagecheck,
					  'post_content'  => '',
					  'post_status'   => 'publish',
					  'post_author'   => 1,
					  'post_type'     => 'page',
					  'post_name'     => $pagecheck
					);
			
					// Insert the post into the database  
					$page_id =  wp_insert_post( $createPage1 );
					 update_option( 'event_rss_page_id', $page_id );  
					//Assign Template
					update_post_meta($page_id,'_wp_page_template','erp_rssfeed.php');
				}
			$pagecheck = 'Event List';
		
				if( get_page_by_title( $pagecheck ) == NULL ){
					
					$createPage1 = array(
					  'post_title'    => $pagecheck,
					  'post_content'  => '[Event_List]',
					  'post_status'   => 'publish',
					  'post_author'   => 1,
					  'post_type'     => 'page',
					  'post_name'     => $pagecheck
					);
			
					// Insert the post into the database  
					$page_id =  wp_insert_post( $createPage1 );
					update_option( 'event_list_page_id', $page_id );  
					//Assign Template
					//update_post_meta($page_id,'_wp_page_template','erp-front-event-list.php');
				}	
				$pagecheck = 'Calendar';
		
				if( get_page_by_title( $pagecheck ) == NULL ){
					
					$createPage1 = array(
					  'post_title'    => $pagecheck,
					  'post_content'  => '[Calendar_View]',
					  'post_status'   => 'publish',
					  'post_author'   => 1,
					  'post_type'     => 'page',
					  'post_name'     => $pagecheck
					);
			
					// Insert the post into the database  
					$page_id =  wp_insert_post( $createPage1 );
					 update_option( 'calendar_page_id', $page_id );   
					//Assign Template
					//update_post_meta($page_id,'_wp_page_template','erp-front-event-calendar.php');
				}	
				$pagecheck = 'Category Accordion';
		
				if( get_page_by_title( $pagecheck ) == NULL ){
					
					$createPage1 = array(
					  'post_title'    => $pagecheck,
					  'post_content'  => '[Event_Category_Accordion]',
					  'post_status'   => 'publish',
					  'post_author'   => 1,
					  'post_type'     => 'page',
					  'post_name'     => $pagecheck
					);
			
					// Insert the post into the database  
					$page_id =  wp_insert_post( $createPage1 );
					update_option( 'event_cat_acc_page_id', $page_id );  
					//Assign Template
					//update_post_meta($page_id,'_wp_page_template','erp-front-category-accordion.php');
				}	
				$pagecheck = 'Event Category';
		
				if( get_page_by_title( $pagecheck ) == NULL ){
					
					$createPage1 = array(
					  'post_title'    => $pagecheck,
					  'post_content'  => '[Event_Category]',
					  'post_status'   => 'publish',
					  'post_author'   => 1,
					  'post_type'     => 'page',
					  'post_name'     => $pagecheck
					);
			
					// Insert the post into the database  
					$page_id =  wp_insert_post( $createPage1 );
					update_option( 'event_cat_page_id', $page_id );  
					//Assign Template
					//update_post_meta($page_id,'_wp_page_template','erp-front-event-category.php');
					
				}	
				
	}
	
	/*add_filter('theme_page_templates','fn_ea_add_page_template8');
	//Load Template at Admin side in the right sidebar of page
	function fn_ea_add_page_template8($templates) 
	{
		$templates['erp-front-category-accordion.php'] = 'Erp Accordion';
		return $templates;
	}
	add_filter('theme_page_templates','fn_ea_add_page_template7');
	//Load Template at Admin side in the right sidebar of page
	function fn_ea_add_page_template7($templates) 
	{
		$templates['erp-front-event-category.php'] = 'Erp category';
		return $templates;
	}
	add_filter('theme_page_templates','fn_ea_add_page_template6');
	//Load Template at Admin side in the right sidebar of page
	function fn_ea_add_page_template6($templates) 
	{
		$templates['erp-front-event-calendar.php'] = 'Erp Calendar';
		return $templates;
	}
	add_filter('theme_page_templates','fn_ea_add_page_template5');
	//Load Template at Admin side in the right sidebar of page
	function fn_ea_add_page_template5($templates) 
	{
		$templates['erp-front-event-list.php'] = 'Erp front event list';
		return $templates;
	}*/
	add_filter('theme_page_templates','fn_ea_add_page_template4');
	//Load Template at Admin side in the right sidebar of page
	function fn_ea_add_page_template4($templates) 
	{
		$templates['erp_event_print.php'] = 'Erp Print';
		return $templates;
	}
	add_filter('theme_page_templates','fn_ea_add_page_template3');
	//Load Template at Admin side in the right sidebar of page
	function fn_ea_add_page_template3($templates) 
	{
		$templates['erp_rssfeed.php'] = 'RSS FEED';
		return $templates;
	}
	add_filter('theme_page_templates','fn_ea_add_page_template');
	//Load Template at Admin side in the right sidebar of page
	function fn_ea_add_page_template($templates) 
	{
		$templates['erp_cart.php'] = 'ERP Cart';
		return $templates;
	}
	add_filter('theme_page_templates','fn_ea_add_page_template1');
	//Load Template at Admin side in the right sidebar of page
	function fn_ea_add_page_template1($templates) 
	{
		$templates['erp_checkout.php'] = 'ERP Checkout';
		return $templates;
	}
	add_filter('theme_page_templates','fn_ea_add_page_template2');
	//Load Template at Admin side in the right sidebar of page
	function fn_ea_add_page_template2($templates) 
	{
		$templates['erp_thankyou.php'] = 'Thank You';
		return $templates;
	}


	
	add_action('page_template','fn_page_template');
	function fn_page_template($template) 
	{  
		$template_name = get_page_template_slug( get_the_ID() );
		/*if('erp-front-category-accordion.php' == $template_name)
		{ 
			$template = plugin_dir_path( __FILE__ ) . '/public/erp-front-category-accordion.php'; 
			return $template;
		} 
		if('erp-front-event-category.php' == $template_name)
		{ 
			$template = plugin_dir_path( __FILE__ ) . '/public/erp-front-event-category.php'; 
			return $template;
		} 
		if('erp-front-event-calendar.php' == $template_name)
		{ 
			$template = plugin_dir_path( __FILE__ ) . '/public/erp-front-event-calendar.php'; 
			return $template;
		} 
		if('erp-front-event-list.php' == $template_name)
		{ 
			$template = plugin_dir_path( __FILE__ ) . '/public/erp-front-event-list.php'; 
			return $template;
		} */
		if('erp_event_print.php' == $template_name)
		{ 
			$template = plugin_dir_path( __FILE__ ) . '/templates/erp_event_print.php'; 
			return $template;
		}
		if('erp_rssfeed.php' == $template_name)
		{ 
			$template = plugin_dir_path( __FILE__ ) . '/templates/erp_rssfeed.php'; 
			return $template;
		}
		if('erp_cart.php' == $template_name)
		{ 
			$template = plugin_dir_path( __FILE__ ) . '/templates/erp_cart.php'; 
			return $template;
		}
		if('erp_checkout.php' == $template_name)
		{ 
			$template = plugin_dir_path( __FILE__ ) . '/templates/erp_checkout.php'; 
			return $template;
		}
		if('erp_thankyou.php' == $template_name)
		{ 
			$template = plugin_dir_path( __FILE__ ) . '/templates/erp_thankyou.php'; 
			return $template;
		}
		else{
			
			return $template;
			}
		
	}


	add_action('init','cron_url_set');
	function cron_url_set(){
		  $home_url=get_site_url();
		
		  $current_url = "http://".$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
		  
		   $sendcron_url=get_site_url().'/events/?cron_task=cron_mail';
		   
		if($current_url==$sendcron_url){
			include (plugin_dir_path( __FILE__ ) . '/templates/erp_cron.php'); 
			
		}
	}
	
	
	
	add_action('init','create_addon_plugin');
	function create_addon_plugin(){
		$sql_tbl_addon = "CREATE TABLE IF NOT EXISTS `erp_addon_plg_tbl` (
		  `addon_plg_id` int(11) NOT NULL AUTO_INCREMENT,
		  `plg_name` varchar(250) COLLATE utf8mb4_unicode_ci NOT NULL,
		  `action` varchar(250) COLLATE utf8mb4_unicode_ci NOT NULL,
		  `status` int(10) COLLATE utf8mb4_unicode_ci NOT NULL,
		 
		  PRIMARY KEY (`addon_plg_id`)
		) ENGINE=MyISAM  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci AUTO_INCREMENT=1 ;";
		
		require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
		dbDelta( $sql_tbl_addon );	
	}
	
	add_action( 'wp_ajax_cat_limit_change', 'prefix_ajax_cat_limit_change' );
	
	function prefix_ajax_cat_limit_change() {
		// Handle request then generate response using WP_Ajax_Response
	  if ( !wp_verify_nonce( sanitize_text_field($_POST['nonce']), 'erp-nonce' ) ){
					echo 'false';die;
			   }
		$display_settings=get_option('erp_event_display_settings');		
		$display_settings['erp_event_display_settings_cats_limit'] =sanitize_text_field($_POST['data']);
		update_option('erp_event_display_settings',$display_settings);
	  die;
	}

/*
	 * Matches each symbol of PHP date format standard
	 * with jQuery equivalent codeword
	 * @author Tristan Jahier
	 */
	function dateformat_PHP_to_jQueryUI($php_format)
	{
		$SYMBOLS_MATCHING = array(
			// Day
			'd' => 'dd',
			'D' => 'D',
			'j' => 'd',
			'l' => 'DD',
			'N' => '',
			'S' => '',
			'w' => '',
			'z' => 'o',
			// Week
			'W' => '',
			// Month
			'F' => 'MM',
			'm' => 'mm',
			'M' => 'M',
			'n' => 'm',
			't' => '',
			// Year
			'L' => '',
			'o' => '',
			'Y' => 'yy',
			'y' => 'y',
			// Time
			'a' => '',
			'A' => '',
			'B' => '',
			'g' => '',
			'G' => '',
			'h' => '',
			'H' => '',
			'i' => '',
			's' => '',
			'u' => ''
		);
		$jqueryui_format = "";
		$escaping = false;
		for($i = 0; $i < strlen($php_format); $i++)
		{
			$char = $php_format[$i];
			if($char === '\\') // PHP date format escaping character
			{
				$i++;
				if($escaping) $jqueryui_format .= $php_format[$i];
				else $jqueryui_format .= '\'' . $php_format[$i];
				$escaping = true;
			}
			else
			{
				if($escaping) { $jqueryui_format .= "'"; $escaping = false; }
				if(isset($SYMBOLS_MATCHING[$char]))
					$jqueryui_format .= $SYMBOLS_MATCHING[$char];
				else
					$jqueryui_format .= $char;
			}
		}
		return $jqueryui_format;
	}




/* ============= tables installation =================*/

add_shortcode('Calendar_View','calendarview');	
function calendarview(){
	include('public/erp-front-event-calendar.php');
}


add_shortcode( 'Event_List', 'all_event_list' );
function all_event_list(){
	include('public/erp-front-event-list.php');
}
add_shortcode('Event_Category_Accordion','EventCategoryAccordion');
function EventCategoryAccordion(){
	include('public/erp-front-category-accordion.php');
	}
add_shortcode('Event_Category','EventCategory');
function EventCategory(){
	include('public/erp-front-event-category.php');
	}

/*Dateformat funcction*/

	function dateformat_function($e_date){
		
		$event_display_settings=array();
		$event_display_settings = get_option("erp_event_display_settings"); 
		$dateformat=$event_display_settings['erp_event_display_settings_formatdate']; 

			return $val_date=date($dateformat, strtotime($e_date));
	
	}

/*For Wp table sort*/
function cf_join($join)
{
	if( is_admin() ) {

		global $wpdb;
		$type = trim(strip_tags($_REQUEST['post_type']));  
		$orderby_type = trim(strip_tags($_REQUEST['orderby']));

		if($type=='erp_event' && $orderby_type=='erp_event_location')
		{ 
			$join .=' LEFT OUTER JOIN '.$wpdb->postmeta. ' mt2 ON '. $wpdb->posts . '.ID = mt2.post_id ';
			$join .=' LEFT OUTER JOIN '.$wpdb->posts. ' L1 ON L1.ID = mt2.meta_value '; 
		}
		if($type=='erp_event' && $orderby_type=='erp_event_category')
		{ 
			$join .=' LEFT JOIN '.$wpdb->postmeta. ' mt2 ON '. $wpdb->posts . '.ID = mt2.post_id ';
			$join .=' LEFT OUTER JOIN '.$wpdb->terms. ' T1 ON T1.term_id = mt2.meta_value '; 
		}
		if($type=='erp_event' && $orderby_type=='erp_event_date')
		{ 
			 $join .=' LEFT JOIN '.$wpdb->postmeta. ' mt2 ON '. $wpdb->posts . '.ID = mt2.post_id ';
		} 
	}
	return $join;
}
add_filter('posts_join', 'cf_join' );

/*end wp sort table*/
/*For Wp table sort*/
function posts_where( $where ) {

	if( is_admin() ) {

		global $wpdb;

		$type = trim(strip_tags($_REQUEST['post_type']));  
		$orderby_type = trim(strip_tags($_REQUEST['orderby']));

		if($type=='erp_event' && $orderby_type=='erp_event_location')
		{
			$where .= " AND  mt2.meta_key = 'erp_event_location' ";
		}  
		if($type=='erp_event' && $orderby_type=='erp_event_category')
		{
			$where .= " AND  mt2.meta_key = 'erp_event_category' ";
		} 
		if($type=='erp_event' && $orderby_type=='erp_event_date')
		{
			$where .= " AND  mt2.meta_key = 'erp_event_date' ";
		} 
	}
 
	return $where;
}		
add_filter('posts_where', 'posts_where' );

/*end wp sort table*/


/*================== Mailing update =============*/ 
/*
add_action('admin_footer','fun_adminscript1');
	function fun_adminscript1(){
		?>
		<script type="text/javascript">
		
		    
		jQuery( document ).ajaxComplete(function( event, xhr, settings ) {
		   
		    var response = xhr.responseText; 
		  
		    var plg_info = JSON.parse(response);
		    ///var plg_update = plg_info.data.update;
		    //alert(plg_info.data);
		   
			    var slug = plg_info.data.slug;
			    var plg_update = plg_info.data.update;
			    var oldversion = plg_info.data.oldVersion;
			    var newversion = plg_info.data.newVersion;
		    
				if(slug=='event-registration-pro' && plg_update=='plugin' && (oldversion < newversion) )
				    {  
				    	
				    		location.reload();
					}
				
		});
		</script>
	<?php   

	}
add_action( 'upgrader_process_complete', 'my_plugin_update', 10, 2);
function my_plugin_update( $upgrader_object, $options){
		$our_plugin = plugin_basename( __FILE__ );
 // If an update has taken place and the updated type is plugins and the plugins element exists
	 if( $options['action'] == 'update' && $options['type'] == 'plugin' && isset( $options['plugins'] ) ) {
	  // Iterate through the plugins being updated and check if ours is there
			  foreach( $options['plugins'] as $plugin ) {
					   if( $plugin == $our_plugin ) {
					 		  update_option('admin_popup','term_condition');  	
							}
					
				}
		}
	}
*/
add_action( 'admin_notices', 'fx_admin_notice_example_notice' );
 
 

function fx_admin_notice_example_notice(){
  ?>
        
        <?php
  $term=get_option('admin_popup');
   
  if($term=='term_condition'){
  	wp_enqueue_script( 'jquery-s',plugin_dir_url( __FILE__ ) .'admin/js/jquery.min.js', array( 'jquery' ),  FALSE );
  	wp_enqueue_style( 'confirmcss', plugin_dir_url( __FILE__ ) .'admin/css/jquery-confirm.min.css', array(), 'all' );		
  	wp_enqueue_script( 'confirm-js',plugin_dir_url( __FILE__ ) .'admin/js/jquery-confirm.min.js', array( 'jquery' ),FALSE );
		

		$nonce = wp_create_nonce( 'erp-nonce' );
        ?>
     

	<div class="col-md-12">
	    <script type="text/javascript">
	      
	      	jQuery( document ).ready(function() {
	           jQuery.confirm({
	                title: 'ACTION REQUIRED!',
	                content: 'By activating the Event Registration Pro Calendar plugin the email address in the Wordpress configuration settings will be added to our mailing list for the purpose of sending you tutorials, news, and marketing. You may unsubscribe at any time.<br><br>Read our full <a href="https://www.eventregistrationpro.com/privacy-policy" target="_blank"> privacy policy</a> for more information.',
	                buttons: {
	                    Accept: function () {
	                        var confirm = 'confirm';
	                        var nonce='<?php echo $nonce;?>';
	                        var url = "<?php echo admin_url().'admin-ajax.php?action=mailing_confirm';?>";		
							jQuery.ajax({
								type: "POST",
								url: url,
								data: {confirm:confirm,nonce:nonce},
								success: function(response){
											
										 location.reload();							
								}
							});

	                    },
	                    Cancel: function () {
	                         var cancel = 'cancel';
	                         var plugin_name='<?php echo plugin_basename( __FILE__ );?>';
	                         var nonce='<?php echo $nonce;?>';
	                         
	                        var url = "<?php echo admin_url().'admin-ajax.php?action=mailing_cancel';?>";		
							jQuery.ajax({
								type: "POST",
								url: url,
								data: {cancel:cancel,nonce:nonce},
								success: function(response){
										
										location.reload();									
								}

							});
	                    },
	                    
	                }
	            });
	        });
	    </script>
	    
	</div>
				
        <?php
       
      
    }
}
add_action("wp_ajax_mailing_confirm", "mailing_confirm");
function mailing_confirm(){
	if ( !wp_verify_nonce( $_POST['nonce'], 'erp-nonce' ) ){
					echo 'false';die;
			   }
	 
	 	 update_option( 'admin_popup','' );		   
	     $Admin_Email= get_option( 'admin_email' );
		 $site_name= get_option( 'blogname' ); 
		 $params = 'name='.$site_name.'&email='.$Admin_Email.'&gdpr="true"&list="4zNnIA8A763QYfPSMRVh7sGg"'; 
	                $curl = curl_init();
	                curl_setopt_array($curl, array(
	                  CURLOPT_URL => "http://itdmailer.com/subscribe",
	                  CURLOPT_RETURNTRANSFER => true,
	                  CURLOPT_SSL_VERIFYPEER=>false,
	                  CURLOPT_FOLLOWLOCATION=> 1,
	                  CURLOPT_ENCODING => "",
	                  CURLOPT_MAXREDIRS => 10,
	                  CURLOPT_TIMEOUT => 30,
	                  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
	                  CURLOPT_CUSTOMREQUEST => "POST",
	                  CURLOPT_POSTFIELDS => $params
	                ));
		 
		 $response = curl_exec($curl);
		 $err = curl_error($curl);
		
		curl_close($curl);
		if ($err) {
		  echo "cURL Error #:" . $err;
		} else {
		  echo '<h1>hello</h1>'.$response;
		}

	die;
				   

}

add_action("wp_ajax_mailing_cancel", "mailing_cancel");
function mailing_cancel(){

	if ( !wp_verify_nonce( $_POST['nonce'], 'erp-nonce' ) ){
					echo 'false';die;
			   }
	   update_option( 'admin_popup','' );		
	   deactivate_plugins(plugin_basename( __FILE__ ));
	die;			  
			  
}


/* End Mailing list */
