<?php
if ( ! defined( 'ABSPATH' ) ) exit;
class Event_Registration_Pro_Configuration {
	 
	////////////////////////////////////////Data in the Configuration//////////////////////////////////////////// 
	public function event_configuration()
	{ 
	require_once plugin_dir_path( dirname( __FILE__ ) ) . 'admin/timezones.full.php';
?>
    <div class="wrap">  
        <?php
         $active_tab = $tab = isset($_GET['tab']) ? sanitize_text_field($_GET['tab']) : 'general_settings';
        if(isset($_GET['tab'])) $active_tab = $tab = sanitize_text_field($_GET['tab']);
        ?> 
        <h2 class="nav-tab-wrapper main-settings-tabs"> 
        <a href="?post_type=erp_event&page=event-configuration&tab=general_settings" class="nav-tab <?php echo $active_tab == 'general_settings' ? 'nav-tab-active' : ''; ?>"><?php echo __( 'General Settings', 'event-registration-pro' );?></a> 
        <a href="?post_type=erp_event&page=event-configuration&tab=intro_text" class="nav-tab <?php echo $active_tab == 'intro_text' ? 'nav-tab-active' : ''; ?>"><?php echo __( 'Intro Text Settings', 'event-registration-pro' );?></a> 
        <a href="?post_type=erp_event&page=event-configuration&tab=event_handling" class="nav-tab <?php echo $active_tab == 'event_handling' ? 'nav-tab-active' : ''; ?>"><?php echo __( 'Event Handling', 'event-registration-pro' );?></a> 
        <a href="?post_type=erp_event&page=event-configuration&tab=registration_settings" class="nav-tab <?php echo $active_tab == 'registration_settings' ? 'nav-tab-active' : ''; ?>"><?php echo __( 'Registration Handling', 'event-registration-pro' );?></a> 
        <a href="?post_type=erp_event&page=event-configuration&tab=display_settings" class="nav-tab <?php echo $active_tab == 'display_settings' ? 'nav-tab-active' : ''; ?>"><?php echo __( 'Display Settings', 'event-registration-pro' );?></a> 
        <a href="?post_type=erp_event&page=event-configuration&tab=image_settings" class="nav-tab <?php echo $active_tab == 'image_settings' ? 'nav-tab-active' : ''; ?>"><?php echo __( 'Image Settings', 'event-registration-pro' );?></a> 
       
        </h2>
    </div>  
    <form method="post" action="">
    <?php
       wp_nonce_field( "event-configuration-page" ); 
       $plugin_metabox = new Event_Registration_Pro_Metabox(); 
       
       echo '<table class="form-table">';
       switch ( $tab ){
          case 'general_settings' : 
		  
          	$prefix = 'erp_event_general_settings_'; 
			 
			//Add input field name 
			$all_values = $prefix.'currency_value,'.$prefix.'tax,'.$prefix.'currency_sign,'.$prefix.'processing_fee,'.$prefix.'transaction_fee,'.$prefix.'discount_all,'.$prefix.'boot_style,'.$prefix.'map_api_key,'.$prefix.'terms_conditions';
			
			//call save function
			$this->save_main_settings('event_general_settings'); 
			 
            $meta_box_general_settings = array( 
            'fields' => array(
               
                array(
                    'name' 	=> __( 'Load Bootstrap 3 CSS & Js', 'event-registration-pro' ), 
                    'desc'	=> '',
                    'id' 	=> $prefix . 'boot_style',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
                array(
                    'name' 	=> __( 'Google Map API Key', 'event-registration-pro' ), 
                    'desc'	=> '',
                    'id' 	=> $prefix . 'map_api_key',
                    'type' 	=> 'text',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => '',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => __( 'Enter your Google Maps API Key. Need a key? Go Here: https://developers.google.com/maps/documentation/javascript/get-api-key', 'event-registration-pro' ),
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
                array(
                    'name' 	=> __( 'Terms and Conditions', 'event-registration-pro' ), 
                    'desc'	=> '',
                    'id' 	=> $prefix . 'terms_conditions',
                    'type' 	=> 'textarea',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => '',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 1
                ),
                array(
                    'name' 	=> '', 
                    'desc'	=> '',
                    'id' 	=> $prefix . 'submit',
                    'type' 	=> 'hidden',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => 'Y',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ), 
				array(
                    'name' 	=> '', 
                    'desc'	=> '',
                    'id' 	=> 'erp_event_fields',
                    'type' 	=> 'hidden',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => $all_values,
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                )     
            ));	
			
			$plugin_show_metabox = new Event_Registration_Pro_Show_Metabox();
            $plugin_show_metabox->fn_show_fields($meta_box_general_settings,'event_general_settings');
          
          break;
          case 'intro_text' : 
		  	
			$prefix = 'erp_event_intro_text_'; 
			 
			//Add input field name 
			$all_values = $prefix.'calendarintrotext,'.$prefix.'categoriesintrotext,'.$prefix.'listintrotext,'.$prefix.'accordioncatintrotext';
			
			//call save function
			$this->save_main_settings('event_intro_text'); 
			 
            $meta_box_intro_text = array( 
            'fields' => array( 
                array(
                    'name' 	=> __( 'CALENDAR VIEW INTRO TEXT', 'event-registration-pro' ), 
                    'desc'	=> __( 'This custom text is displayed above the calendar in the front end.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'calendarintrotext',
                    'type' 	=> 'textarea',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => '',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => __( 'NOTE: All intro text is optional and not required.', 'event-registration-pro' ),
                    'extra_class_div' => '',
                    'is_wp_editor' => 1
                ),
				array(
                    'name' 	=> __( 'CATEGORIES GRID VIEW INTRO TEXT', 'event-registration-pro' ), 
                    'desc'	=> __('This custom text is displayed above the categories grid view in the front end.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'categoriesintrotext',
                    'type' 	=> 'textarea',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => '',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 1
                ),
				array(
                    'name' 	=> __( 'EVENT LIST VIEW INTRO TEXT', 'event-registration-pro' ), 
                    'desc'	=> __( 'This custom text is displayed above the event list view in the front end.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'listintrotext',
                    'type' 	=> 'textarea',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => '',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 1
                ),
				array(
                    'name' 	=> __( 'ACCORDION CATEGORIES VIEW INTRO TEXT', 'event-registration-pro' ), 
                    'desc'	=> __( 'This custom text is displayed above the accordion category view in the front end.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'accordioncatintrotext',
                    'type' 	=> 'textarea',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => '',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 1
                ),
                array(
                    'name' 	=> '', 
                    'desc'	=> '',
                    'id' 	=> $prefix . 'submit',
                    'type' 	=> 'hidden',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => 'Y',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ), 
				array(
                    'name' 	=> '', 
                    'desc'	=> '',
                    'id' 	=> 'erp_event_fields',
                    'type' 	=> 'hidden',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => $all_values,
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                )     
            ));	 
			$plugin_show_metabox = new Event_Registration_Pro_Show_Metabox();
            $plugin_show_metabox->fn_show_fields($meta_box_intro_text,'event_intro_text');
		  
          break;
          case 'event_handling' : 
		  
		  	$prefix = 'erp_event_handling_'; 
			 
			//Add input field name 
			$all_values = $prefix.'archiveby,'.$prefix.'oldevent,'.$prefix.'minus,'.$prefix.'disable_remiders,'.$prefix.'event_moderation,'.$prefix.'moderatoremail,'.$prefix.'enablepdf';
			
			//call save function
			$this->save_main_settings('event_handling'); 
			 
            $meta_box_event_handling = array( 
            'fields' => array( 
                array(
                    'name' 	=> __( 'Handle expired events by', 'event-registration-pro' ), 
                    'desc'	=> __( 'Select start or end date by which you want to handle expired events', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'archiveby',
                    'type' 	=> 'select',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('Event end date','Event start date'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'Handle expired events', 'event-registration-pro' ), 
                    'desc'	=> __( 'Delete or Archive old events automatically.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'oldevent',
                    'type' 	=> 'select',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('Archive old events','Do nothing','Delete old events'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'Number of days in which your expired events are deleted or archived.', 'event-registration-pro' ), 
                    'desc'	=> __( 'Number of days in which your expired events are deleted or archived.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'minus',
                    'type' 	=> 'text',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => '0',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'Disable event reminder notifications', 'event-registration-pro' ), 
                    'desc'	=> __( 'Setting to disable the event reminder email notifications.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'disable_remiders',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> '', 
                    'desc'	=> '',
                    'id' 	=> $prefix . 'submit',
                    'type' 	=> 'hidden',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => 'Y',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ), 
				array(
                    'name' 	=> '', 
                    'desc'	=> '',
                    'id' 	=> 'erp_event_fields',
                    'type' 	=> 'hidden',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => $all_values,
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                )   
			));	 
			
			$plugin_show_metabox = new Event_Registration_Pro_Show_Metabox();
            $plugin_show_metabox->fn_show_fields($meta_box_event_handling,'event_handling');
		  
          break;
          case 'registration_settings' :
		  	
			$prefix = 'erp_event_registration_settings_'; 
			 
			//Add input field name 
			$all_values = $prefix.'register_notify,'.$prefix.'require_registration,'.$prefix.'duplicate_email_registration,'.$prefix.'default_userstatus_free_events,'.$prefix.'default_userstatus_offline_payment,'.$prefix.'include_pending_reg,'.$prefix.'default_email_to_pending_reg,'.$prefix.'default_email_to_pending_reg_days,'.$prefix.'delete_pending_reg,'.$prefix.'default_delete_days';
			
			//call save function
			$this->save_main_settings('event_registration_settings'); 
			 
            $meta_box_registration_settings = array( 
            'fields' => array( 
                array(
                    'name' 	=> __( 'Global Admin Email Notification Of Registrations (optional)', 'event-registration-pro' ), 
                    'desc'	=> __( 'Specify the e-mail address you wish to be notified about registrations to events(optional). This email will get notifications of ALL event registrants for every event in the system.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'register_notify',
                    'type' 	=> 'text',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => '',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'Allow duplicate email addresses during event registration.', 'event-registration-pro' ), 
                    'desc'	=> __('This option allows registrants to not have to use unique email addresses for each registration.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'duplicate_email_registration',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'Include pending registrations in the max attendance limit count', 'event-registration-pro' ), 
                    'desc'	=> __( 'Include pending registrations in the max attendance limit count.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'include_pending_reg',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => __( 'Pending Registrant Handling', 'event-registration-pro' ),
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'Send email to Pending Registrants', 'event-registration-pro' ), 
                    'desc'	=> __( 'Email will be sent to Pending Registrants of an event if a CRON JOB is set', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'default_email_to_pending_reg',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'No. of days, to send email to Pending Registrants after registration', 'event-registration-pro' ), 
                    'desc'	=> __( 'Email will be sent automatically to Pending Registrants after defined no. of days if a CRON JOB is set', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'default_email_to_pending_reg_days',
                    'type' 	=> 'text',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => '',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'Delete Pending Registrations', 'event-registration-pro' ), 
                    'desc'	=> __( 'User will be deleted if the CRON Job is set', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'delete_pending_reg',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ), 
				array(
                    'name' 	=> '', 
                    'desc'	=> "",
                    'id' 	=> '',
                    'type' 	=> 'html',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => '',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ), 
				array(
                    'name' 	=> __( 'No. of days, to delete Pending Registrants after registration', 'event-registration-pro' ), 
                    'desc'	=> __( 'Pending Registration will be deleted after certain days if CRON job is set', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'default_delete_days',
                    'type' 	=> 'text',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => '',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> '', 
                    'desc'	=> "",
                    'id' 	=> '',
                    'type' 	=> 'html',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => '',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ), 
				array(
                    'name' 	=> '', 
                    'desc'	=> "",
                    'id' 	=> '',
                    'type' 	=> 'html',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => __( 'Url to delete pending records AND send email to pending records : '.get_site_url().'/events/?cron_task=cron_mail', 'event-registration-pro' ),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> '', 
                    'desc'	=> '',
                    'id' 	=> $prefix . 'submit',
                    'type' 	=> 'hidden',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => 'Y',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ), 
				array(
                    'name' 	=> '', 
                    'desc'	=> '',
                    'id' 	=> 'erp_event_fields',
                    'type' 	=> 'hidden',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => $all_values,
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                )       
			));	
			
			$plugin_show_metabox = new Event_Registration_Pro_Show_Metabox();
            $plugin_show_metabox->fn_show_fields($meta_box_registration_settings,'event_registration_settings'); 
		  	 
          break;
          case 'display_settings' : 
		  
		  	$prefix = 'erp_event_display_settings_'; 
			 
			//Add input field name 
			$all_values = $prefix.'eventlistordering,'.$prefix.'showhead,'.$prefix.'show_footer,'.$prefix.'listing_button,'.$prefix.'formatdate,'.$prefix.'formattime,'.$prefix.'timezone_offset,'.$prefix.'rss_enable,'.$prefix.'thankspagelink,'.$prefix.'disablethanksmessage,'.$prefix.'event_terms_and_conditions,'.$prefix.'frontend_help_link,'.$prefix.'accepted_registration_reports,'.$prefix.'eventslimit,'.$prefix.'featured_bg_color,'.$prefix.'featured_text_color,'.$prefix.'showeventdates,'.$prefix.'showeventtimes,'.$prefix.'showlocationcolumn,'.$prefix.'showshortdescriptioncolumn,'.$prefix.'showcategory1,'.$prefix.'maxseat,'.$prefix.'pendingseat,'.$prefix.'registeredseat,'.$prefix.'show_poster_cal,'.$prefix.'show_all_dates_in_calendar,'.$prefix.'calendar_weekday,'.$prefix.'show_max_seats_on_details_page,'.$prefix.'show_avaliable_seats_on_details_page,'.$prefix.'show_registered_seats_on_details_page,'.$prefix.'showtime,'.$prefix.'showevdesc,'.$prefix.'showtitle,'.$prefix.'showlocation,'.$prefix.'showurl,'.$prefix.'showmapserv,'.$prefix.'showcategory,'.$prefix.'show_social,'.$prefix.'session_dateformat,'.$prefix.'session_timeformat,'.$prefix.'commenting_engine,'.$prefix.'fb_appID,'.$prefix.'fb_width,'.$prefix.'fb_cpp,'.$prefix.'circle_bg_color,'.$prefix.'days,'.$prefix.'days_color,'.$prefix.'hours,'.$prefix.'hours_color,'.$prefix.'mins,'.$prefix.'mins_color,'.$prefix.'secs,'.$prefix.'sec_color,'.$prefix.'cats_limit,'.$prefix.'cats_per_row,'.$prefix.'show_catimage,'.$prefix.'show_catname,'.$prefix.'show_noevent,'.$prefix.'show_shortdesc,'.$prefix.'show_viewevent,'.$prefix.'quantitylimit,'.$prefix.'multiple_registration_button,'.$prefix.'enable_discount_code,'.$prefix.'enable_mandatory_field_note';
			
			//call save function
			$this->save_main_settings('event_display_settings'); 
			 
            $meta_box_display_settings = array( 
            'fields' => array( 
                array(
                    'name' 	=> __( 'Default Ordering', 'event-registration-pro' ), 
                    'desc'	=> __( 'Display events order on the front landing page.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'eventlistordering',
                    'type' 	=> 'select',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('Event Created','Event Start Date','Event End Date','Event Title'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => __( 'General Display Settings', 'event-registration-pro' ),
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'Show header buttons on front end', 'event-registration-pro' ), 
                    'desc'	=> __( 'Display header on the frontend pages.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'showhead',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),  
				array(
                    'name' 	=> __( 'Show footer', 'event-registration-pro' ), 
                    'desc'	=> __( 'Display footer on the frontend pages.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'show_footer',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' =>'',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),  
				array(
                    'name' 	=> __( 'Default view of `List View` header Button', 'event-registration-pro' ), 
                    'desc'	=> __( 'Choose event listing button view (Category Accordion or Event List) on header.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'listing_button',
                    'type' 	=> 'select',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('Accordion Category View','Event List View'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),  
				array(
                    'name' 	=> __( 'Format date', 'event-registration-pro' ), 
                    'desc'	=> '<div><table width="200" style="font-size:11px;"><tbody><tr valign="top"><td align="left" colspan="3"><b>Date Format</b></td></tr><tr valign="top"><td align="left" style="color:#ff5;">j</td><td align="left">- Day num without leading 0</td><td align="right">1 - 31</td></tr><tr valign="top"><td align="left" style="color:#ff5;">d</td><td align="left">- 2 digits Day of the month</td><td align="right">01 - 31</td></tr><tr valign="top"><td align="left" style="color:#ff5;">D</td><td align="left">- A textual name of a day</td><td align="right">Mon-Sun</td></tr><tr valign="top"><td align="left" style="color:#ff5;">n</td><td align="left">- Month # without leading 0</td><td align="right">1 - 12</td></tr><tr valign="top"><td align="left" style="color:#ff5;">m</td><td align="left">- Month num with leading 0</td><td align="right">01 - 12</td></tr><tr valign="top"><td align="left" style="color:#ff5;">M</td><td align="left">- A short name of a month</td><td align="right">Jan-Dec</td></tr><tr valign="top"><td align="left" style="color:#ff5;">Y</td><td align="left">- A 4 digits year</td><td align="right">e.g. 2014</td></tr><tr valign="top"><td align="left" style="color:#ff5;">y</td><td align="left">- A 2 digits year</td><td align="right">99 - 14</td></tr><tr valign="top"><td align="center" colspan="3" style="color:#ccf;padding-top:5px;"><a href="http://php.net/manual/en/function.date.php">http://php.net/manual/en/function.date.php</a></td></tr></tbody></table></div>',
                    'id' 	=> $prefix . 'formatdate',
                    'type' 	=> 'text',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => 'M j, Y',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ), 
				array(
                    'name' 	=> __( 'Format time', 'event-registration-pro' ), 
                    'desc'	=> '<div><table width="200" style="font-size:11px;"><tbody><tr valign="top"><td align="left" colspan="3"><b>Time Format</b></td></tr><tr valign="top"><td align="left" style="color:#ff5;">a</td><td align="left">- Lowercase am/pm</td><td align="right">am / pm</td></tr><tr valign="top"><td align="left" style="color:#ff5;">A</td><td align="left">- Uppercase AM/PM</td><td align="right">AM / PM</td></tr><tr valign="top"><td align="left" style="color:#ff5;">g</td><td align="left">- 12h without leading zero</td><td align="right">1 - 12</td></tr><tr valign="top"><td align="left" style="color:#ff5;">G</td><td align="left">- 24h without leading zero</td><td align="right">0 - 23</td></tr><tr valign="top"><td align="left" style="color:#ff5;">h</td><td align="left">- 12h with leading zero</td><td align="right">01 - 12</td></tr><tr valign="top"><td align="left" style="color:#ff5;">H</td><td align="left">- 24h with leading zero</td><td align="right">00 - 23</td></tr><tr valign="top"><td align="left" style="color:#ff5;">i</td><td align="left">- Minutes with leading zero</td><td align="right">00 - 59</td></tr><tr valign="top"><td align="left" style="color:#ff5;">s</td><td align="left">- Seconds with leading zero</td><td align="right">00 - 59</td></tr><tr valign="top"><td align="center" colspan="3" style="color:#ccf;padding-top:5px;"><a href="http://php.net/manual/en/function.date.php">http://php.net/manual/en/function.date.php</a></td></tr></tbody></table></div>',
                    'id' 	=> $prefix . 'formattime',
                    'type' 	=> 'text',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => 'g:i, a',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),  
				array(
                    'name' 	=> __( 'Time Zone', 'event-registration-pro' ), 
                    'desc'	=> __( 'Set your website Timezone', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'timezone_offset',
                    'type' 	=> 'select',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => '',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ), 
				array(
                    'name' 	=> __( 'Show RSS feed button in footer', 'event-registration-pro' ), 
                    'desc'	=> __( 'Display rss button in front end Event Registration Pro footer.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'rss_enable',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' =>'',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),  
				array(
                    'name' 	=> __( 'Thank You Page URL (For when multiple event registration is enabled)', 'event-registration-pro' ), 
                    'desc'	=> __( 'Enter a custom Thank You page URL that the registrant will see when they register for multiple events in one checkout.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'thankspagelink',
                    'type' 	=> 'textarea',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => '',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'Force registrants to accept the Terms and Conditions when registering.', 'event-registration-pro' ), 
                    'desc'	=> __( 'Enable/Disable terms and condition link from registration form.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'event_terms_and_conditions',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'Show only accepted registrations in report', 'event-registration-pro' ), 
                    'desc'	=> __( 'Enable/Disable show only accepted registrations in report', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'accepted_registration_reports',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ), 
				array(
                    'name' 	=> __( 'Default number of events per page in the list view.', 'event-registration-pro' ), 
                    'desc'	=> __( 'Listing events according to specified number on front end event listing page.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'eventslimit',
                    'type' 	=> 'text',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => '',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => __( 'Event List View', 'event-registration-pro' ),
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),  
				array(
                    'name' 	=> __( 'Featured Event Background Color', 'event-registration-pro' ), 
                    'desc'	=> __( 'Select Featured Event Background Color', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'featured_bg_color',
                    'type' 	=> 'text',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => 'jscolor {width:101, padding:0, shadow:false,borderWidth:0, backgroundColor:"transparent", insetColor:"#000"}',
                    'values' => '',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),  
				array(
                    'name' 	=> __( 'Featured Event Text Color', 'event-registration-pro' ), 
                    'desc'	=> __( 'Select Featured Event Text Color', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'featured_text_color',
                    'type' 	=> 'text',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => 'jscolor {width:101, padding:0, shadow:false,borderWidth:0, backgroundColor:"transparent", insetColor:"#000"}',
                    'values' => '',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),  
				array(
                    'name' 	=> __( 'Show event start/end dates', 'event-registration-pro' ), 
                    'desc'	=> __( 'Display start and end date of events on frontend.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'showeventdates',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'Show event start/end times', 'event-registration-pro' ), 
                    'desc'	=> __( 'Display start and end times of events on frontend.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'showeventtimes',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),  
				array(
                    'name' 	=> __( 'Display location', 'event-registration-pro' ), 
                    'desc'	=> __( 'Display location column in front end event listing.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'showlocationcolumn',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),  
				array(
                    'name' 	=> __( 'Show short description', 'event-registration-pro' ), 
                    'desc'	=> __( 'Display short description in front end event listing.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'showshortdescriptioncolumn',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),  
				array(
                    'name' 	=> __( 'Show event category', 'event-registration-pro' ), 
                    'desc'	=> __( 'Show event category Yes/No', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'showcategory1',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ), 
				array(
                    'name' 	=> __( 'Show max capacity of the event.', 'event-registration-pro' ), 
                    'desc'	=> __( 'Display maximum seats for particular event on front end event listing page.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'maxseat',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),  
				array(
                    'name' 	=> __( 'Show remaining available capacity for the event.', 'event-registration-pro' ), 
                    'desc'	=> __( 'Display available seats for particular event on front end event listing page.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'pendingseat',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ), 
				array(
                    'name' 	=> __( 'Show amount of registrants for the event.', 'event-registration-pro' ), 
                    'desc'	=> __( 'Display registered seats for particular event on front end event listing page.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'registeredseat',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),  
				array(
                    'name' 	=> __( 'Show event thumbnail image in calendar under the event title.', 'event-registration-pro' ), 
                    'desc'	=> __( 'Display event image for Event in the Calendar instead of short descriptions.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'show_poster_cal',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => __( 'Event Calendar View', 'event-registration-pro' ),
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),  
				array(
                    'name' 	=> __( 'Span events from start to end dates in calendar view', 'event-registration-pro' ), 
                    'desc'	=> __( 'Show all events and their links from start to end dates in calendar view. Disable if you only want the event to be listed on the start date of the calendar.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'show_all_dates_in_calendar',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),  
				array(
                    'name' 	=> __( 'First day of the week for the calendar view.', 'event-registration-pro' ), 
                    'desc'	=> __( 'Select first day of the week for the calendar view.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'calendar_weekday',
                    'type' 	=> 'select',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('Sunday','Monday','Tuesday','Wednesday','Thursday','Friday','Saturday'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),  
				array(
                    'name' 	=> __( 'Show max event capacity available on event detail page.', 'event-registration-pro' ), 
                    'desc'	=> __( 'Display maximum seats for particular event on front end event detail page.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'show_max_seats_on_details_page',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => __( 'Event Details Page View', 'event-registration-pro' ),
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ), 
				array(
                    'name' 	=> __( 'Show available seats for event on detail page', 'event-registration-pro' ) , 
                    'desc'	=> __( 'Display available seats for particular event on front end event detail page.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'show_avaliable_seats_on_details_page',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ), 
				array(
                    'name' 	=> __( 'Show amount of booked registrants on event detail page', 'event-registration-pro' ), 
                    'desc'	=> __( 'Display registered seats for particular event on front end event detail page.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'show_registered_seats_on_details_page',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'Show registration dates on event details page', 'event-registration-pro' ), 
                    'desc'	=> __( 'Display registration dates on the event detail page.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'showtime',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ), 
				array(
                    'name' 	=> __( 'Display event description on event detail page', 'event-registration-pro' ), 
                    'desc'	=> __( 'Display event description on the event detail page.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'showevdesc',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),  
				array(
                    'name' 	=> __( 'Display event title on event detail page', 'event-registration-pro' ), 
                    'desc'	=> __( 'Display event title on event detail page.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'showtitle',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 1,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ), 
				array(
                    'name' 	=> __( 'Show location on event details page', 'event-registration-pro' ), 
                    'desc'	=> __( 'Display location on the details page.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'showlocation',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ), 
				array(
                    'name' 	=> __( 'Show location URL on event details page', 'event-registration-pro' ), 
                    'desc'	=> __( 'Show URL on event detail page.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'showurl',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'Show Link to Google Maps for the location', 'event-registration-pro' ), 
                    'desc'	=> __( 'Display Link to Map on the details page.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'showmapserv',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ), 
				array(
                    'name' 	=> __( 'Show category', 'event-registration-pro' ), 
                    'desc'	=> __( 'Display category on the details page.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'showcategory',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'Circle Background Color', 'event-registration-pro' ), 
                    'desc'	=> __( 'Event CountDown Circle Background Color', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'circle_bg_color',
                    'type' 	=> 'text',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => 'jscolor {width:101, padding:0, shadow:false,borderWidth:0, backgroundColor:"transparent", insetColor:"#000"}',
                    'values' => '656464',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => __( 'Event CountDown Timer Settings', 'event-registration-pro' ),
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'Days Text', 'event-registration-pro' ), 
                    'desc'	=> __( 'Enter Days Text', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'days',
                    'type' 	=> 'text',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => 'Days',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'Days Circle Color', 'event-registration-pro' ), 
                    'desc'	=> __( 'Event CountDown Days Circle Color', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'days_color',
                    'type' 	=> 'text',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => 'jscolor {width:101, padding:0, shadow:false,borderWidth:0, backgroundColor:"transparent", insetColor:"#000"}',
                    'values' => '3C76FC',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'Hours Text', 'event-registration-pro' ), 
                    'desc'	=> __( 'Enter Hours Text', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'hours',
                    'type' 	=> 'text',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => 'Hours',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'Hours Circle Color', 'event-registration-pro' ), 
                    'desc'	=> __( 'Event CountDown Hours Circle Color', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'hours_color',
                    'type' 	=> 'text',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => 'jscolor {width:101, padding:0, shadow:false,borderWidth:0, backgroundColor:"transparent", insetColor:"#000"}',
                    'values' => '53FE5A',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'Minutes Text', 'event-registration-pro' ), 
                    'desc'	=> __( 'Enter Minutes Text', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'mins',
                    'type' 	=> 'text',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => 'Minutes',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'Minutes Circle Color', 'event-registration-pro' ), 
                    'desc'	=> __( 'Event CountDown Minutes Circle Color', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'mins_color',
                    'type' 	=> 'text',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => 'jscolor {width:101, padding:0, shadow:false,borderWidth:0, backgroundColor:"transparent", insetColor:"#000"}',
                    'values' => 'FF6505',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'Seconds Text', 'event-registration-pro' ), 
                    'desc'	=> __( 'Enter Seconds Text', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'secs',
                    'type' 	=> 'text',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => 'Seconds',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'Seconds Circle Color', 'event-registration-pro' ), 
                    'desc'	=> __( 'Event CountDown Seconds Circle Color', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'sec_color',
                    'type' 	=> 'text',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => 'jscolor {width:101, padding:0, shadow:false,borderWidth:0, backgroundColor:"transparent", insetColor:"#000"}',
                    'values' => 'FE1EFA',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'Default number of categories on front end', 'event-registration-pro' ), 
                    'desc'	=> __( 'Total Number of category per page for frontend categories', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'cats_limit',
                    'type' 	=> 'text',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => '',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => __( 'Event Categories Grid Settings', 'event-registration-pro' ),
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'Category Per Row', 'event-registration-pro' ), 
                    'desc'	=> __( 'Select number of category per row', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'cats_per_row',
                    'type' 	=> 'select',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array(1,2,3,4,5,6),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'Show Category Image', 'event-registration-pro' ), 
                    'desc'	=> __( 'Show Category Name Yes / No', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'show_catimage',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'Show Category Name', 'event-registration-pro' ), 
                    'desc'	=> __( 'Show Category Name Yes / No', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'show_catname',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'Show Number of Events', 'event-registration-pro' ), 
                    'desc'	=> __( 'Show Number of Events Yes / No', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'show_noevent',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'Show Short Description', 'event-registration-pro' ), 
                    'desc'	=> __( 'Show Short Description Yes / No', 'event-registration-pro' ) ,
                    'id' 	=> $prefix . 'show_shortdesc',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => '',
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'Show View Events Button', 'event-registration-pro' ), 
                    'desc'	=> __( 'Show View Events Button Yes / No', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'show_viewevent',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 1,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> '', 
                    'desc'	=> '',
                    'id' 	=> $prefix . 'submit',
                    'type' 	=> 'hidden',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => 'Y',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ), 
				array(
                    'name' 	=> '', 
                    'desc'	=> '',
                    'id' 	=> 'erp_event_fields',
                    'type' 	=> 'hidden',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => $all_values,
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                )       
			));	
			
			$plugin_show_metabox = new Event_Registration_Pro_Show_Metabox();
            $plugin_show_metabox->fn_show_fields($meta_box_display_settings,'event_display_settings');  
			
          break;
          case 'image_settings' : 
		  	
			$prefix = 'erp_event_image_settings_'; 
			 
			//Add input field name 
			$all_values = $prefix.'show_poster,'.$prefix.'event_thumb_width,'.$prefix.'event_thumb_height,'.$prefix.'thumb_height_auto,'.$prefix.'show_banner,'.$prefix.'event_banner_width,'.$prefix.'event_banner_height,'.$prefix.'banner_height_auto,'.$prefix.'cat_image_width,'.$prefix.'cat_image_height,'.$prefix.'cat_height_auto';
			
			//call save function
			$this->save_main_settings('event_image_settings');
			
			$meta_box_image_settings = array( 
            'fields' => array( 
                array(
                    'name' 	=> __('Show Event Thumbnail Image on frontend', 'event-registration-pro' ), 
                    'desc'	=> __( 'Display event image for Event on the frontend pages.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'show_poster',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => __( 'NOTE: These settings will resize your images upon upload to the dimentions set below. If you change these settings later, it will not automatically resize your images that have been previously uploaded.. <br/><br/> Event Thumbnail Image Settings', 'event-registration-pro' ),
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'Thumbnail Width', 'event-registration-pro' ), 
                    'desc'	=> __( 'Enter Event Thumbnail Width', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'event_thumb_width',
                    'type' 	=> 'text',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => '',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),  
				array(
                    'name' 	=> __( 'Thumbnail Height', 'event-registration-pro' ), 
                    'desc'	=> __('Enter Event Thumbnail Height', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'event_thumb_height',
                    'type' 	=> 'text',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => '',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ), 
				array(
                    'name' 	=> __( 'Thumbnail Height Auto', 'event-registration-pro' ), 
                    'desc'	=> __( 'Select Event Thumbnail Height Auto', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'thumb_height_auto',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),  
				array(
                    'name' 	=> __( 'Show Event Banner', 'event-registration-pro' ), 
                    'desc'	=> __( 'Show Event Banner Yes/No', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'show_banner',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => __( 'Event Banner Image Settings', 'event-registration-pro' ),
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),  
				array(
                    'name' 	=> __( 'Banner Width', 'event-registration-pro' ), 
                    'desc'	=> __( 'Enter Event Banner Width', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'event_banner_width',
                    'type' 	=> 'text',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => '',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ), 
				array(
                    'name' 	=> __( 'Banner Height', 'event-registration-pro' ), 
                    'desc'	=> __( 'Enter Event Banner Height', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'event_banner_height',
                    'type' 	=> 'text',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => '',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'Banner Height Auto', 'event-registration-pro' ), 
                    'desc'	=> __( 'Select Event Banner Height Auto', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'banner_height_auto',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'Category Image Width', 'event-registration-pro' ), 
                    'desc'	=> __( 'Enter Category Image Width', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'cat_image_width',
                    'type' 	=> 'text',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => '',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => __( 'Category Image Settings', 'event-registration-pro' ),
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),
				array(
                    'name' 	=> __( 'Category Image Height', 'event-registration-pro' ), 
                    'desc'	=> __( 'Enter Category Image height', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'cat_image_height',
                    'type' 	=> 'text',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => '',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ), 
				array(
                    'name' 	=> __( 'Category Image Height Auto', 'event-registration-pro' ), 
                    'desc'	=> __( 'Select Category Image Height Auto', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'cat_height_auto',
                    'type' 	=> 'radio',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('No','Yes'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),  
				array(
                    'name' 	=> '', 
                    'desc'	=> '',
                    'id' 	=> $prefix . 'submit',
                    'type' 	=> 'hidden',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => 'Y',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ), 
				array(
                    'name' 	=> '', 
                    'desc'	=> '',
                    'id' 	=> 'erp_event_fields',
                    'type' 	=> 'hidden',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => $all_values,
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                )       
			));	 
			
			$plugin_show_metabox = new Event_Registration_Pro_Show_Metabox();
            $plugin_show_metabox->fn_show_fields($meta_box_image_settings,'event_image_settings');  
			
          break;
          case 'userdatabase_settings' : 
		  	
			$prefix = 'erp_event_userdatabase_settings_'; 
			 
			//Add input field name 
			$all_values = $prefix.'cbintegration';
			
			//call save function
			$this->save_main_settings('event_userdatabase_settings'); 
			 
            $meta_box_userdatabase_settings = array( 
            'fields' => array( 
                array(
                    'name' 	=> __( 'Select Integration Method', 'event-registration-pro' ), 
                    'desc'	=> __( 'You can use the Community Builder/Jomsocial/Joomla core profiles forms for event registrations.  ', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'cbintegration',
                    'type' 	=> 'select',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => array('Community Builder','JomSocial','Core Joomla Profiles'),
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => __( 'NOTE: This is optional. Please review the documentation on how to use this feature. If you are unsure just leave this field unselected.', 'event-registration-pro' ),
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),  
				array(
                    'name' 	=> '', 
                    'desc'	=> '',
                    'id' 	=> $prefix . 'submit',
                    'type' 	=> 'hidden',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => 'Y',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ), 
				array(
                    'name' 	=> '', 
                    'desc'	=> '',
                    'id' 	=> 'erp_event_fields',
                    'type' 	=> 'hidden',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => $all_values,
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                )       
			));	 
			
			$plugin_show_metabox = new Event_Registration_Pro_Show_Metabox();
            $plugin_show_metabox->fn_show_fields($meta_box_userdatabase_settings,'event_userdatabase_settings');  
			
          break;
          case 'frontend_event_settings' : 
		  	
			$prefix = 'erp_event_frontend_event_settings_'; 
			 
			//Add input field name 
			$all_values = $prefix.'cbintegration';
			
			//call save function
			$this->save_main_settings('event_frontend_event_settings'); 
			 
            $meta_box_frontend_event_settings = array( 
            'fields' => array( 
                array(
                    'name' 	=> __( 'Select Wordpress users that are allowed to create events via the front end.', 'event-registration-pro' ), 
                    'desc'	=> __( 'Select Wordpress users who can manage their own events from frontend section.', 'event-registration-pro' ),
                    'id' 	=> $prefix . 'wordpress_users',
                    'type' 	=> 'select',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => '',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => __( 'NOTE: These settings will allow your users to submit and manage their own events via the front end. Users cannot manage an event created by another user. If you do not wish to have your users create events then leave these settings blank.', 'event-registration-pro' ),
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ),  
				array(
                    'name' 	=> '', 
                    'desc'	=> '',
                    'id' 	=> $prefix . 'submit',
                    'type' 	=> 'hidden',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => 'Y',
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                ), 
				array(
                    'name' 	=> '', 
                    'desc'	=> '',
                    'id' 	=> 'erp_event_fields',
                    'type' 	=> 'hidden',
                    'std' 	=> '',
                    'taxonomy' => '',
                    'required' => 0,
                    'class' => '',
                    'values' => $all_values,
                    'post_type' => '',
                    'maxlength' => '',
                    'half_width' => 0,
                    'sub_title_div' => '',
                    'extra_class_div' => '',
                    'is_wp_editor' => 0
                )       
			));	
			
			$plugin_show_metabox = new Event_Registration_Pro_Show_Metabox();
            $plugin_show_metabox->fn_show_fields($meta_box_frontend_event_settings,'event_frontend_event_settings');  
		  	
          break;
       }
       echo '</table>';  
    ?>
       <p class="submit" style="clear: both;">
          <input type="submit" name="save_<?php echo $tab; ?>"  class="button-primary" value="Save" /> 
       </p>
    </form> 
    <!-- Display Timezones in display table tab-->
    <script>
		jQuery('#erp_event_display_settings_timezone_offset').timezones();
	  </script>
<?php		
	}
	
	//Save General Settings
	public function save_main_settings($type)
	{
		  $tab = trim(strip_tags(sanitize_text_field($_GET['tab'])));
		  $tab=  (!empty($tab)) ? $tab : 'general_settings';
		
		 
		
		if(isset($_POST['save_'.$tab]) && isset($_POST['erp_'.$type.'_submit']))
		{
			$erp_event_fields = explode(",",wp_filter_post_kses($_POST['erp_event_fields']));
			
			
			foreach($erp_event_fields as $field)
			{
				
				$erp_event_settings[$field] = wp_filter_post_kses($_POST[$field]);
			}
			
			update_option('erp_'.$type, $erp_event_settings);
		}
	}  
}